my $expected_version = "1.38";
print("import: Carp\n");
use Carp;

if (defined Carp->VERSION) {
	my $given_version = Carp->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Carp->VERSION . '
');

}
print("import: Carp::Heavy\n");
use Carp::Heavy;

if (defined Carp::Heavy->VERSION) {
	my $given_version = Carp::Heavy->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Carp::Heavy->VERSION . '
');

}
